namespace Scan_Measurement_Example
{
    public class MeasurementSettings
    {

        private double m_startFrequency;
        private double m_stopFrequency;
        private double m_stepSize;

        private StepMode m_stepMode;

        public MeasurementSettings()
        {

        }

        ~MeasurementSettings()
        {

        }

        public double getStartFrequency()
        {
            return this.m_startFrequency;
        }

        public void setStartFrequency(double startFrequency)
        {
            this.m_startFrequency = startFrequency;
        }

        public double getStopFrequency()
        {
            return this.m_stopFrequency;
        }

        public void setStopFrequency(double stopFrequency)
        {
            this.m_stopFrequency = stopFrequency;
        }

        public StepMode getStepMode()
        {
            return this.m_stepMode;
        }

        public void setStepMode(int stepMode)
        {
            if (stepMode == 0) // Linear
            {
                this.m_stepMode = StepMode.m_linear;
            }
            else if (stepMode == 1) // Logarithmic
            {
                this.m_stepMode = StepMode.m_logarithmic;
            }
        }

        public double getStepSize()
        {
            return this.m_stepSize;
        }

        public void setStepSize(double stepSize)
        { 
            this.m_stepSize = stepSize;
        }
    }
}