﻿namespace Scan_Measurement_Example
{
    public class PeakSearchSettings
    {
        private PeakSearchMethod m_peakSearchMethod;
        private int m_numberOfPeaksSubranges;

        public PeakSearchSettings()
        {

        }

        ~PeakSearchSettings()
        {

        }

        public PeakSearchMethod getPeakSearchMethod()
        {
            return this.m_peakSearchMethod;
        }

        public void setPeakSearchMethod(bool methodPeaks, bool methodSubranges)
        {
            if (methodPeaks == true && methodSubranges == false)
            {
                this.m_peakSearchMethod = PeakSearchMethod.m_peaks;
            }
            else if (methodPeaks == false && methodSubranges == true)
            {
                this.m_peakSearchMethod = PeakSearchMethod.m_subranges;
            }
        }

        public int getNumberOfPeaksSubranges()
        {
            return this.m_numberOfPeaksSubranges;
        }

        public void setNumberOfPeaksSubranges(int numberOfPeaksSubranges)
        {
            this.m_numberOfPeaksSubranges = numberOfPeaksSubranges;
        }
    }
}