namespace Scan_Measurement_Example
{
    public class RemoteControlSettings
    {
        private string m_resourceDescriptor;
        private InstrumentType m_instrumentType;
        private bool m_idQuery;
        private bool m_resetDevice;
        private bool m_displayEnable;

        public RemoteControlSettings()
        {

        }

        ~RemoteControlSettings()
        {

        }

        public InstrumentType getInstrumentType()
        {
            return this.m_instrumentType;
        }

        public void setInstrumentType(int instrumentType)
        {
            if (instrumentType == 0)
            {
                this.m_instrumentType = InstrumentType.m_ESU;
            }
            else if (instrumentType == 1)
            {
                this.m_instrumentType = InstrumentType.m_ESCI;
            }
            else if (instrumentType == 2)
            {
                this.m_instrumentType = InstrumentType.m_ESPI;
            }
            else if (instrumentType == 3)
            {
                this.m_instrumentType = InstrumentType.m_ESL;
            }
        }

        public string getResourceDescriptor()
        {
            return this.m_resourceDescriptor;
        }

        public void setResourceDescriptor(string resourceDescriptor)
        {
            this.m_resourceDescriptor = resourceDescriptor;
        }

        public bool getResetDevice()
        {
            return this.m_resetDevice;
        }

        public void setResetDevice(bool resetDevice)
        {
            this.m_resetDevice = resetDevice;
        }

        public bool getIdQuery()
        {
            return this.m_idQuery;
        }

        public void setIdQuery(bool idQuery)
        {
            this.m_idQuery = idQuery;
        }

        public bool getDisplayEnable()
        {
            return this.m_displayEnable;
        }

        public void setDisplayEnable(bool displayEnable)
        {
            this.m_displayEnable = displayEnable;
        }
    }
}